/* $NetBSD$ */

/*
 * System call names.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.5 2007/02/09 21:55:22 ad Exp
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD$");

#if defined(_KERNEL_OPT)
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/poll.h>
#include <sys/syscallargs.h>
#include <compat/mach/mach_types.h>
#include <compat/mach/mach_message.h>
#include <compat/mach/arch/powerpc/ppccalls/mach_ppccalls_syscallargs.h>
#endif /* _KERNEL_OPT */

const char *const mach_ppccalls_syscallnames[] = {
	/*   0 */	"#0 (unimplemented diagcall)",
	/*   1 */	"#1 (unimplemented vmm_get_version)",
	/*   2 */	"#2 (unimplemented vmm_get_features)",
	/*   3 */	"#3 (unimplemented vmm_init_context)",
	/*   4 */	"#4 (unimplemented vmm_dispatch)",
	/*   5 */	"#5 (unimplemented bb_enable_bluebox)",
	/*   6 */	"#6 (unimplemented bb_disable_bluebox)",
	/*   7 */	"#7 (unimplemented bb_settaskenv)",
	/*   8 */	"#8 (unimplemented vmm_stop_vm)",
	/*   9 */	"#9 (unimplemented dis)",
	/*  10 */	"#10 (unimplemented)",
	/*  11 */	"#11 (unimplemented)",
	/*  12 */	"#12 (unimplemented)",
	/*  13 */	"#13 (unimplemented)",
	/*  14 */	"#14 (unimplemented)",
	/*  15 */	"#15 (unimplemented)",
};
